Loading...
  OR  Zero-K Name:    Password:   

Forum index  > News   >

Engine Update

10 posts, 1314 views
Post comment
Filter:    Player:  
sort


9 months ago
An update from Spring 104.0.1-287-gf7b0fcc to Spring 104.0.1-901-g89b4773 is now live. Benchmarks sent in by users indicate that the framerate of the new engine is slightly more stable, and that performance is overall quite similar. The main advantages of the updated are the new features and fixes, with the possibility of more fixes to come.

The engine and AI devs have put in quite a bit of work into fixing the bugs found in local and multiplayer testing. However, we don't have the testing volume to find all the issues so please be patient and report any issues.
+7 / -0
9 months ago
Thanks for the hard work guys !
+2 / -0


9 months ago
Back we go to 104.0.1-287-gf7b0fcc. The new AI version was not being applied to campaign missions, and my test for this was to see if the campaign crashes. Unfortunately the old AI fails to instantly crash on the new engine version (which was its behaviour a week ago) so it was not caught. The new AI version instantly crashes on campaign missions.
+0 / -0

9 months ago
+8 / -0
Good work so far keeping the game playable while making progress in delevoping it further :)
Never give up, one step back will be two steps forward!
+1 / -0
9 months ago
Thanks for all the hard work! Keep it up!

+0 / -0

9 months ago
Here's some rainbow text to congratulate you on a job well done and to keep you motivated. I hope the kinks will be ironed out soon so that we can have the bug fixes in the new engine.
+12 / -0
8 months ago
Thanks for your job and the abnegation ^^

I have two engines in the engine/linux64 folder... the 287 and the 893... but when playing I see that 287 is selected, is there a way to "select" the engine ?

I read in diagonal that we are set back to 287 because of bugs with the campaign mission or I have to read it with more focus ?

+1 / -0

8 months ago
If you are using the Steam version, you can opt-in to the "test" beta to have Zero-K use the latest engine. Keep in mind that you won't be able to play multiplayer if you're not using 287 though.
+0 / -0
8 months ago
I use the compatible "mono" version for Linux.
Is there a way to obtain the new executable with the new engine in it ?

I have two folders with different engine versions... is there a way to select one of them ?

+0 / -0